Bug 879671 - unable to edit parameter using CCS
unable to edit parameter using CCS
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby-utils (Show other bugs)
Development
Unspecified Unspecified
high Severity high
: 2.3
: ---
Assigned To: Robert Rati
Lubos Trilety
: Regression
Depends On:
Blocks: 802510
  Show dependency treegraph
 
Reported: 2012-11-23 11:29 EST by Lubos Trilety
Modified: 2013-03-19 12:37 EDT (History)
4 users (show)

See Also:
Fixed In Version: condor-wallaby-tools-5.0.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 12:37:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2012-11-23 11:29:32 EST
Description of problem:
On RHEL5 when someone tries to edit parameter using condor_configure_store it always ends with fatal error.

$ condor_configure_store -e -p PAR
Console Connection Established...
fatal:  undefined method `count' for ["needs", "restart"]:Array

Let's try existed param for check where bug is:

$ condor_configure_store -e -p STARTD_DEBUG
Console Connection Established...
fatal:  undefined method `count' for ["needs", "restart"]:Array

Let's check if the parameters are present in store:

$  condor_configure_store -l -p STARTD_DEBUG,PAR
Console Connection Established...
STARTD_DEBUG
  kind:  "String"
  default:  ""
  description:  "The debugging output that the startd will produce in its log"
  must_change:  false
  requires_restart:  false
  visibility_level:  0
  depends:  []
  conflicts:  []
  annotation:  ""
PAR
  kind:  "string"
  default:  ""
  description:  ""
  must_change:  false
  requires_restart:  false
  visibility_level:  0
  depends:  []
  conflicts:  []
  annotation:  ""

It works fine on RHEL6.


Version-Release number of selected component (if applicable):
wallaby-utils-0.16.1-2

How reproducible:
100%

Steps to Reproduce:
see above
  
Actual results:
fatal error

Expected results:
no error

Additional info:
Comment 1 Robert Rati 2012-11-27 13:49:59 EST
The issue was using count instead of length on an array.

Fixed upstream on:
BZ879671-edit-failure
Comment 6 Lubos Trilety 2012-12-10 12:14:31 EST
Tested with:
condor-wallaby-tools-5.0.4-1

Tested on:
RHEL5 i386,x86_64
RHEL6 i386,x86_64

Parameter and groups can be now edited on all systems.

>>> verified

Note You need to log in before you can comment on or make changes to this bug.